# File generated by XFdrake.

# **********************************************************************
# Refer to the XF86Config man page for details about the format of
# this file.
# **********************************************************************

Section "Files"
    # Multiple FontPath entries are allowed (they are concatenated together)
    # By default, Mandrake 6.0 and later now use a font server independent of
    # the X server to render fonts.
    FontPath "unix/:-1"
EndSection

Section "ServerFlags"
    DontZap # disable <Crtl><Alt><BS> (server abort)
    #DontZoom # disable <Crtl><Alt><KP_+>/<KP_-> (resolution switching)
    AllowMouseOpenFail # allows the server to start up even if the mouse does not work
EndSection

Section "Module"
    Load "dbe" # Double-Buffering Extension
    Load "extmod"
    Load "type1"
    Load "freetype"
    Load "glx" # 3D layer
    Load "dri" # direct rendering    #Not for vesa.
EndSection

Section "InputDevice"
    Identifier "Keyboard1"
    Driver "keyboard"
    Option "XkbModel" "pc105"
    Option "XkbLayout" "gb"
    Option "XkbOptions" "compose:rwin"
EndSection

Section "InputDevice"

#Mandrake's defaults.
#    Identifier "Mouse1"
#    Driver "mouse"
#    Option "Protocol" "ExplorerPS/2"
#    Option "Device" "/dev/mouse"
#    Option "ZAxisMapping" "6 7"

#RJN's settings
    Identifier "Mouse1"
    Driver "mouse"
    Option "Protocol" "PS/2"
    #Option "Device" "/dev/psaux"
    Option "Device" "/dev/input/trackpoint"    #with udev symlink

    Option "Emulate3Buttons" "on"	#Button 1+3 => emulated middle button
    Option "Emulate3Timeout" "50"  
    Option "EmulateWheel" "on"		#Button 2 => emulated scroll wheel.
    Option "EmulateWheelButton" "2"     

    Option "EmulateWheelTimeout" "0"	#If button 2 is pressed for less than this time, then the original button-2 press will pass 
				 	#through. Otherwise, we get emulated scroll. Set to 0 to disable. [Default timeout: 200]

    Option "YAxisMapping" "6 7"  	#EmulatedWheel vertical/horizontal pointer motion causes fake button 4,5 or 6,7 presses.
    Option "XAxisMapping" "4 5"  	#Map these fake presses to vertical and horizontal scroll respectively.
    #Option "ZAxisMapping" "10 11"      #Sometimes necessary to map ZAxis out of the way, to prevent the default (6,7) breaking emulated scroll.
					#Note: X,YAxisMapping are switched here because of stupid bug: /etc/X11/xinit.d/mouse_buttons swaps 4<=>6 and 5<=>7. 
EndSection

Section "Monitor"
    Identifier "monitor1"
    VendorName "Generic"
    ModelName "Flat Panel 1600x1200"
    HorizSync 31.5-90
    VertRefresh 60
    #Added by rjn to sort out tiny fonts - these are width, height in mm
    DisplaySize 304 228
    
    # TV fullscreen mode or DVD fullscreen output.
    # 768x576 @ 79 Hz, 50 kHz hsync
    ModeLine "768x576"     50.00  768  832  846 1000   576  590  595  630
    
    # 768x576 @ 100 Hz, 61.6 kHz hsync
    ModeLine "768x576"     63.07  768  800  960 1024   576  578  590  616
EndSection

Section "Device"
    Identifier "device1"
    VendorName "ATI"
    BoardName "ATI Rage 128 Mobility"
    #Driver "r128"    #NOT the r128 driver; it has been replaced by the ati one.
    #Driver "vesa"    #Vesa only in case of serious trouble!
    Driver "ati"
    Option "DPMS"
    Option "UseCCEFor2D" "false"
EndSection

Section "Screen"
    Identifier "screen1"
    Device "device1"
    Monitor "monitor1"
    DefaultColorDepth 16
    
    Subsection "Display"
        Depth 8
        Virtual 1600 1200
    EndSubsection
    
    Subsection "Display"
        Depth 15
        Virtual 1600 1200
    EndSubsection
    
    Subsection "Display"
        Depth 16
        Virtual 1600 1200
    EndSubsection
    
    Subsection "Display"
        Depth 24
        Virtual 1600 1200
    EndSubsection
EndSection

Section "ServerLayout"
    Identifier "layout1"
    InputDevice "Keyboard1" "CoreKeyboard"
    InputDevice "Mouse1" "CorePointer"
    Screen "screen1"
EndSection
